DCMTK: DRTParallelRTBeamDelimiterDeviceSequence::Item Class Reference

DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
DRTParallelRTBeamDelimiterDeviceSequence::Item Class Reference

Item class. More...

Inheritance diagram for DRTParallelRTBeamDelimiterDeviceSequence::Item:

## Public Member Functions
| Item (const OFBool emptyDefaultItem=OFFalse)
| (default) constructor
| Item (const Item &copy)
| copy constructor
virtual | ~Item ()
| destructor
Item & | operator= (const Item &copy)
| assignment operator
void | clear ()
| clear all internal member variables
OFBool | isEmpty ()
| check if item is empty
OFBool | isValid () const
| check if item is valid, i.e. not the empty default item
OFCondition | read (DcmItem &item)
| read elements from sequence item
OFCondition | write (DcmItem &item)
| write elements to sequence item
OFCondition | getNumberOfParallelRTBeamDelimiters (Uint16 &value, const unsigned long pos=0) const
| get NumberOfParallelRTBeamDelimiters (300a,0648)
OFCondition | getParallelRTBeamDelimiterBoundaries (Float64 &value, const unsigned long pos=0) const
| get ParallelRTBeamDelimiterBoundaries (300a,0649)
OFCondition | getParallelRTBeamDelimiterLeafMountingSide (OFString &value, const signed long pos=0) const
| get ParallelRTBeamDelimiterLeafMountingSide (300a,064f)
OFCondition | getParallelRTBeamDelimiterOpeningExtents (Float64 &value, const unsigned long pos=0) const
| get ParallelRTBeamDelimiterOpeningExtents (3008,00a4)
OFCondition | getParallelRTBeamDelimiterOpeningMode (OFString &value, const signed long pos=0) const
| get ParallelRTBeamDelimiterOpeningMode (300a,064e)
DRTParallelRTBeamDelimiterDeviceOrientationLabelCodeSequence & | getParallelRTBeamDelimiterDeviceOrientationLabelCodeSequence ()
| get ParallelRTBeamDelimiterDeviceOrientationLabelCodeSequence (300a,0644)
const DRTParallelRTBeamDelimiterDeviceOrientationLabelCodeSequence & | getParallelRTBeamDelimiterDeviceOrientationLabelCodeSequence () const
| get ParallelRTBeamDelimiterDeviceOrientationLabelCodeSequence (300a,0644)
OFCondition | setNumberOfParallelRTBeamDelimiters (const Uint16 value, const unsigned long pos=0)
| set NumberOfParallelRTBeamDelimiters (300a,0648)
OFCondition | setParallelRTBeamDelimiterBoundaries (const Float64 value, const unsigned long pos=0)
| set ParallelRTBeamDelimiterBoundaries (300a,0649)
OFCondition | setParallelRTBeamDelimiterLeafMountingSide (const OFString &value, const OFBool check=OFTrue)
| set ParallelRTBeamDelimiterLeafMountingSide (300a,064f)
OFCondition | setParallelRTBeamDelimiterOpeningExtents (const Float64 value, const unsigned long pos=0)
| set ParallelRTBeamDelimiterOpeningExtents (3008,00a4)
OFCondition | setParallelRTBeamDelimiterOpeningMode (const OFString &value, const OFBool check=OFTrue)
| set ParallelRTBeamDelimiterOpeningMode (300a,064e)

## Private Attributes
OFBool | EmptyDefaultItem
| internal flag used to mark the empty default item
DcmUnsignedShort | NumberOfParallelRTBeamDelimiters
| NumberOfParallelRTBeamDelimiters (300a,0648) vr=US, vm=1, type=1.
DcmFloatingPointDouble | ParallelRTBeamDelimiterBoundaries
| ParallelRTBeamDelimiterBoundaries (300a,0649) vr=FD, vm=2-n, type=1.
DRTParallelRTBeamDelimiterDeviceOrientationLabelCodeSequence | ParallelRTBeamDelimiterDeviceOrientationLabelCodeSequence
| ParallelRTBeamDelimiterDeviceOrientationLabelCodeSequence (300a,0644) vr=SQ, vm=1, type=1.
DcmCodeString | ParallelRTBeamDelimiterLeafMountingSide
| ParallelRTBeamDelimiterLeafMountingSide (300a,064f) vr=CS, vm=1-n, type=1C.
DcmFloatingPointDouble | ParallelRTBeamDelimiterOpeningExtents
| ParallelRTBeamDelimiterOpeningExtents (3008,00a4) vr=FD, vm=2-2n, type=1C.
DcmCodeString | ParallelRTBeamDelimiterOpeningMode
| ParallelRTBeamDelimiterOpeningMode (300a,064e) vr=CS, vm=1, type=1.

## Additional Inherited Members
Protected Member Functions inherited from DRTTypes
virtual | ~DRTTypes ()
| destructor.
Static Protected Member Functions inherited from DRTTypes
static OFCondition | addElementToDataset (OFCondition &result, DcmItem &dataset, DcmElement *element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| add given element to the dataset.
static OFCondition | getElementFromDataset (DcmItem &dataset, DcmElement &element)
| get element from dataset
static OFCondition | getStringValueFromElement (const DcmElement &element, OFString &stringValue, const signed long pos=0)
| get string value from element
static OFCondition | getStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue)
| get string value from dataset
static OFCondition | putStringValueToDataset (DcmItem &dataset, const DcmTag &tag, const OFString &stringValue, const OFBool allowEmpty=OFTrue)
| put string value to dataset
static OFBool | checkElementValue (DcmElement &element, const OFString &vm, const OFString &type, const OFCondition &searchCond=EC_Normal, const char *moduleName=NULL)
| check element value for correct value multiplicity and type
static OFCondition | getAndCheckElementFromDataset (DcmItem &dataset, DcmElement &element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get element from dataset and check it for correct value multiplicity and type.
static OFCondition | getAndCheckStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get string value from dataset and check it for correct value multiplicity and type.

## Detailed Description

Item class.

## Constructor & Destructor Documentation

## ◆ Item() [1/2]

DRTParallelRTBeamDelimiterDeviceSequence::Item::Item | ( | const OFBool | emptyDefaultItem = OFFalse | ) |

(default) constructor

Parameters

  emptyDefaultItem | flag used to mark the empty default item

Referenced by Item(), and operator=().

## ◆ Item() [2/2]

DRTParallelRTBeamDelimiterDeviceSequence::Item::Item | ( | const Item & | copy | ) |

copy constructor

Parameters

  copy | item object to be copied

References Item().

## Member Function Documentation

## ◆ getNumberOfParallelRTBeamDelimiters()

OFCondition DRTParallelRTBeamDelimiterDeviceSequence::Item::getNumberOfParallelRTBeamDelimiters | ( | Uint16 & | value,
|  | const unsigned long | pos = 0 ) const

get NumberOfParallelRTBeamDelimiters (300a,0648)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getParallelRTBeamDelimiterBoundaries()

OFCondition DRTParallelRTBeamDelimiterDeviceSequence::Item::getParallelRTBeamDelimiterBoundaries | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get ParallelRTBeamDelimiterBoundaries (300a,0649)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getParallelRTBeamDelimiterDeviceOrientationLabelCodeSequence() [1/2]

DRTParallelRTBeamDelimiterDeviceOrientationLabelCodeSequence & DRTParallelRTBeamDelimiterDeviceSequence::Item::getParallelRTBeamDelimiterDeviceOrientationLabelCodeSequence | ( |  | ) |
| inline

get ParallelRTBeamDelimiterDeviceOrientationLabelCodeSequence (300a,0644)

Returns
  reference to sequence element

References ParallelRTBeamDelimiterDeviceOrientationLabelCodeSequence.

## ◆ getParallelRTBeamDelimiterDeviceOrientationLabelCodeSequence() [2/2]

const DRTParallelRTBeamDelimiterDeviceOrientationLabelCodeSequence & DRTParallelRTBeamDelimiterDeviceSequence::Item::getParallelRTBeamDelimiterDeviceOrientationLabelCodeSequence | ( |  | ) | const
| inline

get ParallelRTBeamDelimiterDeviceOrientationLabelCodeSequence (300a,0644)

Returns
  const reference to sequence element

References ParallelRTBeamDelimiterDeviceOrientationLabelCodeSequence.

## ◆ getParallelRTBeamDelimiterLeafMountingSide()

OFCondition DRTParallelRTBeamDelimiterDeviceSequence::Item::getParallelRTBeamDelimiterLeafMountingSide | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get ParallelRTBeamDelimiterLeafMountingSide (300a,064f)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getParallelRTBeamDelimiterOpeningExtents()

OFCondition DRTParallelRTBeamDelimiterDeviceSequence::Item::getParallelRTBeamDelimiterOpeningExtents | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get ParallelRTBeamDelimiterOpeningExtents (3008,00a4)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getParallelRTBeamDelimiterOpeningMode()

OFCondition DRTParallelRTBeamDelimiterDeviceSequence::Item::getParallelRTBeamDelimiterOpeningMode | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get ParallelRTBeamDelimiterOpeningMode (300a,064e)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ isEmpty()

OFBool DRTParallelRTBeamDelimiterDeviceSequence::Item::isEmpty | ( |  | ) |

check if item is empty

Returns
  OFTrue if item is empty, OFFalse otherwise

## ◆ isValid()

OFBool DRTParallelRTBeamDelimiterDeviceSequence::Item::isValid | ( |  | ) | const

check if item is valid, i.e. not the empty default item

Returns
  OFTrue if item is valid, OFFalse otherwise

## ◆ operator=()

Item & DRTParallelRTBeamDelimiterDeviceSequence::Item::operator= | ( | const Item & | copy | ) |

assignment operator

Parameters

  copy | item object to be copied

Returns
  reference to this object

References Item().

## ◆ read()

OFCondition DRTParallelRTBeamDelimiterDeviceSequence::Item::read | ( | DcmItem & | item | ) |

read elements from sequence item

Parameters

  item | reference to DICOM sequence item from which the elements should be read

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setNumberOfParallelRTBeamDelimiters()

OFCondition DRTParallelRTBeamDelimiterDeviceSequence::Item::setNumberOfParallelRTBeamDelimiters | ( | const Uint16 | value,
|  | const unsigned long | pos = 0 )

set NumberOfParallelRTBeamDelimiters (300a,0648)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setParallelRTBeamDelimiterBoundaries()

OFCondition DRTParallelRTBeamDelimiterDeviceSequence::Item::setParallelRTBeamDelimiterBoundaries | ( | const Float64 | value,
|  | const unsigned long | pos = 0 )

set ParallelRTBeamDelimiterBoundaries (300a,0649)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=2-n

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setParallelRTBeamDelimiterLeafMountingSide()

OFCondition DRTParallelRTBeamDelimiterDeviceSequence::Item::setParallelRTBeamDelimiterLeafMountingSide | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set ParallelRTBeamDelimiterLeafMountingSide (300a,064f)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1-n) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setParallelRTBeamDelimiterOpeningExtents()

OFCondition DRTParallelRTBeamDelimiterDeviceSequence::Item::setParallelRTBeamDelimiterOpeningExtents | ( | const Float64 | value,
|  | const unsigned long | pos = 0 )

set ParallelRTBeamDelimiterOpeningExtents (3008,00a4)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=2-2n

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setParallelRTBeamDelimiterOpeningMode()

OFCondition DRTParallelRTBeamDelimiterDeviceSequence::Item::setParallelRTBeamDelimiterOpeningMode | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set ParallelRTBeamDelimiterOpeningMode (300a,064e)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ write()

OFCondition DRTParallelRTBeamDelimiterDeviceSequence::Item::write | ( | DcmItem & | item | ) |

write elements to sequence item

Parameters

  item | reference to DICOM sequence item to which the elements should be written

Returns
  status, EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmrt/include/dcmtk/dcmrt/seq/drtpbdds.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.16.1